# Author: Rick Hofstede, University of Twente <r.j.hofstede@utwente.nl>

#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Measurement script for analyzing invalid byte counters in flow records.
# More details: Section 4 of the following paper:
#       Measurement Artifacts in NetFlow Data
#       Rick Hofstede, Idilio Drago, Anna Sperotto, Ramin Sadre, Aiko Pras.
#       In: Proceedings of the Passive and Active Measurement conference (PAM 2013), 18-20 May 2013, Hong Kong, China

from scapy.all import *

src_host = '<src_ip>' # Enter the source IP address here
dst_host = '<dst_ip>' # Enter the destination address here
src_port = 26663
dst_port = 26663
 
p = IP(src = src_host, dst = dst_host)/TCP(sport = src_port, dport = dst_port)
send(p)
 
payload = "abcdefghijklmnopqrstuvwxyz"
p = IP(src = src_host, dst = dst_host)/TCP(sport = src_port, dport = dst_port)/payload
send(p)
